uec-publish-tarball ignores the x86_64 option

Bug #779812 reported by Philippe Berthault on 2011-05-09
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
openstack-manuals
Undecided
Razique Mahroua
cloud-utils (Ubuntu)
Medium
Scott Moser

Bug Description

I've installed Nova on a x86_64 platform from the latest Ubuntu 11.04 Linux distribution. Then, I've downloaded and installed the testing image ubuntu1010-UEC-local-user-image.tar.gz as explained in the "Compute Administration Manual", chapter 7.1.

The command "uec-publish-tarball /data/images/ubuntu1010-UEC-localuser-image.tar.gz dub-bucket x86_64" was completed with success but during this job, in another window, I saw the following processes:

30778 : sshd: root@pts/0
|_ 30808 : -bash
   |_ 31146 : /bin/sh /usr/bin/uec-publish-tarball /data/images/ubuntu1010-UEC-localuser-image.tar.gz dub-bucket x86_64
      |_ 31183 : /bin/bash /usr/bin/uec-publish-image --type image i386 maverick-server-uec-amd64.img dub-bucket --kernel aki-26ae5bb4 --ramdisk none
         |_ 31197 : /usr/bin/python /usr/bin/euca-bundle-image --destination /tmp/uec-publish-image.GCofJz --arch i386 --image /tmp/uec-publish-image.GCofJz/.rename.3EovVO/maverick-server-uec-amd64.img --kernel aki-26ae5bb4
            |_ 31201 : tar ch -S -C /tmp/uec-publish-image.GCofJz/.rename.3EovVO maverick-server-uec-amd64.img
            |_ 31202 : gzip

And finally, the euca-describe-images command reports:

IMAGE ami-01f00cca dub-bucket/maverick-server-uec-amd64.img.manifest.xml available public i386 machine aki-26ae5bb4
IMAGE aki-26ae5bb4 dub-bucket/maverick-server-uec-amd64-vmlinuz-virtual.manifest.xml available public i386 kernel

The bug is in the uec-publish-tarball command.

The arch option value must be "amd64" instead of "x86_64". This is inconsistent with the OpenStack documentation which indicates "x86_64" and is also inconsistent with the other uec-publish-image command into which the arch option may be "i386" or "x86_64" as reported by the help.

Thierry Carrez (ttx) wrote :

Moving to OpenStack manuals for doc fix.

affects: nova → openstack-manuals
Scott Moser (smoser) wrote :

I've just now fixed this in cloud-utils trunk http://bazaar.launchpad.net/~ubuntu-on-ec2/ubuntu-on-ec2/cloud-utils/revision/103
The diff looks like:

-[ $arch = "amd64" ] && iarch=x86_64 || iarch=i386
+[ "$arch" = "amd64" ] && iarch="x86_64" || iarch="${arch}"

That is surely what I had originally intended to do, basically to just alias "amd64" to "x86_64".

Changed in cloud-utils (Ubuntu):
assignee: nobody → Scott Moser (smoser)
importance: Undecided → Medium
status: New → Fix Committed
Anne Gentle (annegentle) on 2011-06-02
Changed in openstack-manuals:
assignee: nobody → Anne Gentle (annegentle)
status: New → In Progress
Anne Gentle (annegentle) wrote :

Thanks Scott, you're faster than me! I'll clarify in the docs as well.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-utils - 0.22ubuntu1

---------------
cloud-utils (0.22ubuntu1) oneiric; urgency=low

  * uec-publish-tarball: accept x86_64 as valid arch input, and pass provided
    arch un-modified to uec-publish-image rather than always changing to 'i386'
    (LP: #779812)
  * uec-publish-image: improve searching for existing image. Handle searching
    for either the name or the manifest path, and only search images owned by
    self.
  * uec-publish-image: register as bucket/basename rather than basename
 -- Scott Moser <email address hidden> Fri, 15 Jul 2011 12:14:21 -0400

Changed in cloud-utils (Ubuntu):
status: Fix Committed → Fix Released
Changed in openstack-manuals:
status: In Progress → Fix Committed
Changed in openstack-manuals:
assignee: Anne Gentle (annegentle) → Razique Mahroua (razique)

Reviewed: https://review.openstack.org/1035
Committed: http://github.com/openstack/openstack-manuals/commit/40d00abfd9a72bc72b23e8049423650977814a72
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit 40d00abfd9a72bc72b23e8049423650977814a72
Author: razique <email address hidden>
Date: Sun Oct 23 18:56:22 2011 +0200

    Update section 8.1 of the admin doc :
     # Update formatting
     # Fixes bug 779812

    Change-Id: I0746cb66b10e958ce4972f16d6c378d2a28f3f83

Reviewed: https://review.openstack.org/1036
Committed: http://github.com/openstack/openstack-manuals/commit/d2ac9d72f27b3935e378d416dad6847434b7ee39
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit d2ac9d72f27b3935e378d416dad6847434b7ee39
Author: razique <email address hidden>
Date: Sun Oct 23 19:09:09 2011 +0200

    Update Openstack Tutorials :
     # Fixes bug 779812
     # Update formatting

    Change-Id: Ic5dc7ba166fa67e34e765d3c78df9c61818f1407

Reviewed: https://review.openstack.org/1270
Committed: http://github.com/openstack/openstack-manuals/commit/c81ecd2a269ee49a61b47e483971ec851f48ea83
Submitter: Jenkins
Branch: stable/diablo

 status fixcommitted
 done

commit c81ecd2a269ee49a61b47e483971ec851f48ea83
Author: razique <email address hidden>
Date: Sun Oct 23 18:56:22 2011 +0200

    Update section 8.1 of the admin doc :
     # Update formatting
     # Fixes bug 779812

    Change-Id: I0746cb66b10e958ce4972f16d6c378d2a28f3f83

Reviewed: https://review.openstack.org/1271
Committed: http://github.com/openstack/openstack-manuals/commit/d5127abcb0fd57b71d67670b29c914e1fa1cead2
Submitter: Jenkins
Branch: stable/diablo

 status fixcommitted
 done

commit d5127abcb0fd57b71d67670b29c914e1fa1cead2
Author: razique <email address hidden>
Date: Sun Oct 23 19:09:09 2011 +0200

    Update Openstack Tutorials :
     # Fixes bug 779812
     # Update formatting

    Change-Id: Ic5dc7ba166fa67e34e765d3c78df9c61818f1407

Anne Gentle (annegentle) on 2012-02-29
Changed in openstack-manuals:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers